interface Person {
    name: string;
    email: string[];
    phone?: string[];
}
interface Lead {
    title: string;
    note?: string;
    person_id?: number;
    value?: string;
    currency?: string;
    expected_close_date?: string;
}
/**
 * Capitalize the first letter of a string
 */
export declare const capitalizeFirstLetter: (string: string) => string;
/**
 * Capitalize the first letter of each word in a string
 */
export declare const capitalizeFirstAndLastLetter: (string: string) => string;
export declare const addPerson: (person: Person) => Promise<{
    data: {
        id: number;
    };
}>;
export declare const addNote: (content: string, deal_id: string) => Promise<void>;
export declare const addLead: (lead: Lead) => Promise<any>;
export declare const addSubscription: (lead: {
    deal_id: string;
    currency: string;
    cadence_type: "weekly" | "monthly" | "quarterly" | "yearly";
    cycles_count: number;
    cycle_amount: number;
    start_date: string;
    payments: Array<{
        amount: number;
    }>;
}) => Promise<any>;
export declare const getLead: (id: string) => Promise<any>;
export declare const updateLead: (id: string, data: any) => Promise<void>;
export declare const updatePerson: (id: number, data: any) => Promise<void>;
export {};
